Index: sansmodels/src/sans/models/BEPolyelectrolyte.py
===================================================================
--- sansmodels/src/sans/models/BEPolyelectrolyte.py	(revision a55fac11c799b1d14d56da351b9543c05fa7afe0)
+++ sansmodels/src/sans/models/BEPolyelectrolyte.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -37,5 +37,5 @@
         ## Name of the model
         self.name = "BEPolyelectrolyte"
-
+        self.description=''
         ## Define parameters
         self.params = {}
Index: sansmodels/src/sans/models/BaseComponent.py
===================================================================
--- sansmodels/src/sans/models/BaseComponent.py	(revision 8809e4829d357a9366a256b3595b75252de8b2c2)
+++ sansmodels/src/sans/models/BaseComponent.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -26,4 +26,7 @@
         #  parameters of dispersed/averaged parameters.
         self.dispersion = {}
+        # string containing information about the model such as the equation
+        #of the given model, exception or possible use
+        self.description=''
            
     def __str__(self):
Index: sansmodels/src/sans/models/Constant.py
===================================================================
--- sansmodels/src/sans/models/Constant.py	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/Constant.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -20,5 +20,5 @@
         ## Name of the model
         self.name = "Constant"
-
+        self.description=''
         ## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/CoreShellCylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision 0f5bc9ff2027432913fd8d2cb067675244acdaf6)
+++ sansmodels/src/sans/models/CoreShellCylinderModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -54,5 +54,5 @@
         ## Name of the model
         self.name = "CoreShellCylinderModel"
-
+        self.description=''
 		## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/CoreShellModel.py
===================================================================
--- sansmodels/src/sans/models/CoreShellModel.py	(revision 8809e4829d357a9366a256b3595b75252de8b2c2)
+++ sansmodels/src/sans/models/CoreShellModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -51,5 +51,5 @@
         ## Name of the model
         self.name = "CoreShellModel"
-
+        self.description=''
 		## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/Cos.py
===================================================================
--- sansmodels/src/sans/models/Cos.py	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/Cos.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -18,5 +18,5 @@
         ## Name of the model
         self.name = "Cos"
-
+        self.description=''
         ## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/CylinderModel.py
===================================================================
--- sansmodels/src/sans/models/CylinderModel.py	(revision 8809e4829d357a9366a256b3595b75252de8b2c2)
+++ sansmodels/src/sans/models/CylinderModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -51,5 +51,5 @@
         ## Name of the model
         self.name = "CylinderModel"
-
+        self.description=''
 		## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/DABModel.py
===================================================================
--- sansmodels/src/sans/models/DABModel.py	(revision a55fac11c799b1d14d56da351b9543c05fa7afe0)
+++ sansmodels/src/sans/models/DABModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -29,5 +29,5 @@
         ## Name of the model
         self.name = "DAB_Model"
-
+        self.description=''
         ## Define parameters
         self.params = {}
Index: sansmodels/src/sans/models/DebyeModel.py
===================================================================
--- sansmodels/src/sans/models/DebyeModel.py	(revision a55fac11c799b1d14d56da351b9543c05fa7afe0)
+++ sansmodels/src/sans/models/DebyeModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -32,5 +32,5 @@
         ## Name of the model
         self.name = "Debye"
-
+        self.description=''
         ## Define parameters
         self.params = {}
Index: sansmodels/src/sans/models/DisperseModel.py
===================================================================
--- sansmodels/src/sans/models/DisperseModel.py	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/DisperseModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -40,5 +40,5 @@
         ## Keep track of the underlying model
         self.model = model
-   
+        self.description=''
     def clone(self):
         """ Return a identical copy of self """
Index: sansmodels/src/sans/models/EllipsoidModel.py
===================================================================
--- sansmodels/src/sans/models/EllipsoidModel.py	(revision 8809e4829d357a9366a256b3595b75252de8b2c2)
+++ sansmodels/src/sans/models/EllipsoidModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -51,5 +51,5 @@
         ## Name of the model
         self.name = "EllipsoidModel"
-
+        self.description=''
 		## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/FractalModel.py
===================================================================
--- sansmodels/src/sans/models/FractalModel.py	(revision a55fac11c799b1d14d56da351b9543c05fa7afe0)
+++ sansmodels/src/sans/models/FractalModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -35,5 +35,5 @@
         ## Name of the model
         self.name = "Number Density Fractal"
-
+        self.description=''
         ## Define parameters
         self.params = {}
Index: sansmodels/src/sans/models/Gaussian.py
===================================================================
--- sansmodels/src/sans/models/Gaussian.py	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/Gaussian.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -35,5 +35,5 @@
         ## Name of the model
         self.name = "Gaussian"
-
+        self.description=''
 		## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/GuinierModel.py
===================================================================
--- sansmodels/src/sans/models/GuinierModel.py	(revision a55fac11c799b1d14d56da351b9543c05fa7afe0)
+++ sansmodels/src/sans/models/GuinierModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -28,5 +28,5 @@
         ## Name of the model
         self.name = "Guinier"
-
+        self.description=''
         ## Define parameters
         self.params = {}
Index: sansmodels/src/sans/models/LorentzModel.py
===================================================================
--- sansmodels/src/sans/models/LorentzModel.py	(revision a55fac11c799b1d14d56da351b9543c05fa7afe0)
+++ sansmodels/src/sans/models/LorentzModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -29,5 +29,5 @@
         ## Name of the model
         self.name = "Lorentz"
-
+        self.description=''
         ## Define parameters
         self.params = {}
Index: sansmodels/src/sans/models/Lorentzian.py
===================================================================
--- sansmodels/src/sans/models/Lorentzian.py	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/Lorentzian.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -35,5 +35,5 @@
         ## Name of the model
         self.name = "Lorentzian"
-
+        self.description=''
 		## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/ModelAdaptor.py
===================================================================
--- sansmodels/src/sans/models/ModelAdaptor.py	(revision 8809e4829d357a9366a256b3595b75252de8b2c2)
+++ sansmodels/src/sans/models/ModelAdaptor.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -59,5 +59,5 @@
         ## Additional details, provided for backward compatibility
         self.details = {}
-        
+        self.description=''
         ## Dictionary used to store the dispersity/averaging
         #  parameters of dispersed/averaged parameters.
Index: sansmodels/src/sans/models/PorodModel.py
===================================================================
--- sansmodels/src/sans/models/PorodModel.py	(revision a55fac11c799b1d14d56da351b9543c05fa7afe0)
+++ sansmodels/src/sans/models/PorodModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -28,5 +28,5 @@
         self.params['scale'] = 1.0
         self.params['background'] = 0.0
-        
+        self.description=''
 
         ## Parameter details [units, min, max]
Index: sansmodels/src/sans/models/Sin.py
===================================================================
--- sansmodels/src/sans/models/Sin.py	(revision ae3ce4eaa593202ebf49122e196897c0d45a25b6)
+++ sansmodels/src/sans/models/Sin.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -18,5 +18,5 @@
         ## Name of the model
         self.name = "Sin"
-
+        self.description=''
         ## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/SphereModel.py
===================================================================
--- sansmodels/src/sans/models/SphereModel.py	(revision 8809e4829d357a9366a256b3595b75252de8b2c2)
+++ sansmodels/src/sans/models/SphereModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -48,5 +48,5 @@
         ## Name of the model
         self.name = "SphereModel"
-
+        self.description=''
 		## Parameter details [units, min, max]
         self.details = {}
Index: sansmodels/src/sans/models/TeubnerStreyModel.py
===================================================================
--- sansmodels/src/sans/models/TeubnerStreyModel.py	(revision a55fac11c799b1d14d56da351b9543c05fa7afe0)
+++ sansmodels/src/sans/models/TeubnerStreyModel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -31,5 +31,5 @@
         ## Name of the model
         self.name = "Teubner Strey"
-
+        self.description=''
         ## Define parameters
         self.params = {}
Index: sansmodels/src/sans/models/pluginmodel.py
===================================================================
--- sansmodels/src/sans/models/pluginmodel.py	(revision f2f3814ae86d8c77f93269623f90fc7db148819c)
+++ sansmodels/src/sans/models/pluginmodel.py	(revision 5f89fb8ae648ff087d5c5e56da48d080e404bbf9)
@@ -11,5 +11,5 @@
         self.details = {}
         self.params  = {}
-        
+        self.description=''
     def function(self, x):
         """
